using ASHermed.SinoInterface.Api.ContractModel.App;
using ASHermed.SinoInterface.Api.ContractModel.Framework.Login;
using ASHermed.SinoInterface.ContractModel;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;

namespace ASHermed.SinoInterface.Api.IService
{
    /// <summary>
	///微信用户信息
	/// </summary>
	public interface IPatService
    {
        List<Pub_Pat_Info> GetHisPat(string mrn, string phone, string birthday);
        int SaveHisPat(Pub_Pat_Info info);
        Pub_Pat_Info Add(Pub_Pat_Info patInfo, int relaShip, int lan);
        Pub_Pat_Info CheckPatIsExist(Pub_Pat_Info rpos);
        bool UpdatePubPatInfo(PatWithRelationShip patInfo);

        List<PatWithRelationShip> FindBindingsTime(int _userId, string type = "");

        List<PatWithRelationShip> FindRelationPatListByApp();

        List<PatWithRelationShip> FindRelationPatListByAppAppt();

        Pub_Pat_Info GetPatInfo(int patId);

        List<Pub_Pat_Info> GetUserRelationship();
        int CancelUserDefult(int userId);
        string GetPatNameByLanguage(string lastName, string firstName, int language);
        string Bind2User(int userId, string patCode, int relationShip, int language);
        void MarkingPat();
    }
}
